unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  TSpecialPanel = class(TPanel)
  protected
    procedure CMMouseEnter(var Msg: TMessage); message CM_MOUSEENTER;
    procedure CMMouseLeave(var Msg: TMessage); message CM_MOUSELEAVE;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

{ TSpecialPanel }

procedure TSpecialPanel.CMMouseEnter(var Msg: TMessage);
begin
  inherited;
  Color := clWhite;
end;

procedure TSpecialPanel.CMMouseLeave(var Msg: TMessage);
begin
  inherited;
  Color := clBtnFace;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  with TSpecialPanel.Create(self) do
  begin
    Width  := 100;
    Height := 100;
    Top    := 20;
    Left   := 20;
    Parent := self;
  end;
end;

end.
