unit Fibers;

interface

uses Windows;

// type defn for fiber start routine from winbase.h:
type
  PFIBER_START_ROUTINE = procedure (lpFiberParameter: Pointer); stdcall;
  LPFIBER_START_ROUTINE = PFIBER_START_ROUTINE;
  TFiberFunc = PFIBER_START_ROUTINE;

function GetCurrentFiber: Pointer;
function GetFiberData: Pointer;

implementation

// x86-specific fiber inline routines from winnt.h:

function GetCurrentFiber: Pointer;
asm
  mov eax, fs:[$10]
end;

function GetFiberData: Pointer;
asm
  mov eax, fs:[$10]
  mov eax, [eax]
end;

end.
