unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DBXpress, DB, SqlExpr, StdCtrls;

type
  TMainForm = class(TForm)
    SQLConnection1: TSQLConnection;
    btnConnect: TButton;
    btnDisconnect: TButton;
    lblConnected: TLabel;
    procedure SQLConnection1Login(Database: TSQLConnection;
      LoginParams: TStrings);
    procedure SQLConnection1AfterConnect(Sender: TObject);
    procedure SQLConnection1AfterDisconnect(Sender: TObject);
    procedure btnConnectClick(Sender: TObject);
    procedure btnDisconnectClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.SQLConnection1Login(Database: TSQLConnection;
  LoginParams: TStrings);
var
  UserName: String;
  Password: String;
begin
  if InputQuery('Get UserName', 'Enter UserName', UserName) then
  if InputQuery('Get Password', 'Enter Password', Password) then
  begin
    LoginParams.Values['UserName'] := UserName;
    LoginParams.Values['Password'] := Password;
  end;
end;

procedure TMainForm.SQLConnection1AfterConnect(Sender: TObject);
begin
  lblConnected.Caption := 'Connected';
  lblConnected.Font.Color := clBlue;
end;

procedure TMainForm.SQLConnection1AfterDisconnect(Sender: TObject);
begin
  lblConnected.Caption := 'Disconnected';
  lblConnected.Font.Color := clBlack;
end;

procedure TMainForm.btnConnectClick(Sender: TObject);
begin
  SQLConnection1.Connected := True;
end;

procedure TMainForm.btnDisconnectClick(Sender: TObject);
begin
  SQLConnection1.Connected := False;
end;

end.
