unit NewOrderFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, ADODB, StdCtrls, Grids, DBGrids, DBClient;

type
  TNewOrderForm = class(TForm)
    Label1: TLabel;
    lblCustomer: TLabel;
    Label3: TLabel;
    lblEmployee: TLabel;
    adoDSPart: TADODataSet;
    dtsrcPart: TDataSource;
    DBGrid1: TDBGrid;
    adoDSPartPartNo: TWideStringField;
    adoDSPartDescription: TWideStringField;
    adoDSPartOnHand: TIntegerField;
    adoDSPartOnOrder: TIntegerField;
    adoDSPartCost: TBCDField;
    adoDSPartListPrice: TBCDField;
    dtsrcPartList: TDataSource;
    DBGrid2: TDBGrid;
    btnAddPart: TButton;
    btnOK: TButton;
    btnCancel: TButton;
    procedure btnAddPartClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    class function Execute: Boolean;
  end;

var
  NewOrderForm: TNewOrderForm;

implementation

uses MainFrm;

{$R *.dfm}

procedure TNewOrderForm.btnAddPartClick(Sender: TObject);
begin
  MainForm.cdsPartList.Insert;
  try
    MainForm.cdsPartListPartNo.Value := adoDSPartPartNo.Value;
    MainForm.cdsPartListDescription.Value := adoDSPartDescription.Value;
    MainForm.cdsPartList.Post;
  except
    MainForm.cdsPartList.Cancel;
    raise;
  end;
end;

class function TNewOrderForm.Execute;
begin
  NewOrderForm.lblCustomer.Caption := MainForm.adodsCustomer.FieldByName('Company').Value;
  NewOrderForm.lblEmployee.Caption := MainForm.adodsEmployee.FieldByName('FirstName').Value+
    ' '+MainForm.adodsEmployee.FieldByName('LastName').Value;
  Result := NewOrderForm.ShowModal = mrOK;
end;

procedure TNewOrderForm.FormCreate(Sender: TObject);
begin
  adoDSPart.Open;
end;

end.
