{$ifdef BUILD_EXE}
program WizWiz;     // Build as EXE
{$else}
library WizWiz;     // Build as DLL
{$endif}

uses
{$ifndef BUILD_EXE}
  ShareMem,                  // ShareMem required for DLL
  InitWiz in 'InitWiz.pas',  // Wizard stuff
  ToolsAPI,
{$endif}
  Forms,
  Main in 'Main.pas' {MainForm},
  AddModU in 'AddModU.pas' {AddModForm};

{$ifdef BUILD_EXE}
{$R *.RES}                              // required for EXE
{$else}
exports                                 // required for DLL
  InitWizard name WizardEntryPoint;     // required entry point
{$endif}

begin
{$ifdef BUILD_EXE}                      // required for EXE...
  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.Run;
{$endif}
end.
