unit TTTServer_TLB;

// ************************************************************************ //
// WARNING                                                                    
// -------                                                                    
// The types declared in this file were generated from data read from a       
// Type Library. If this type library is explicitly or indirectly (via        
// another type library referring to this type library) re-imported, or the   
// 'Refresh' command of the Type Library Editor activated while editing the   
// Type Library, the contents of this file will be regenerated and all        
// manual modifications will be lost.                                         
// ************************************************************************ //

// PASTLWTR : $Revision:   1.130  $
// File generated on 7/10/2001 4:18:15 AM from Type Library described below.

// ************************************************************************  //
// Type Lib: G:\Doc\BorCon01\ComPlus\TTT\TTTServer.tlb (1)
// LIBID: {BA02A6A0-FD07-11D2-AF31-0000861EF0BB}
// LCID: 0
// Helpfile: 
// DepndLst: 
//   (1) v2.0 stdole, (C:\WINNT\System32\STDOLE2.TLB)
//   (2) v4.0 StdVCL, (C:\WINNT\System32\stdvcl40.dll)
// ************************************************************************ //
{$TYPEDADDRESS OFF} // Unit must be compiled without type-checked pointers. 
{$WARN SYMBOL_PLATFORM OFF}
{$WRITEABLECONST ON}

interface

uses ActiveX, Classes, Graphics, StdVCL, Variants, Windows;
  

// *********************************************************************//
// GUIDS declared in the TypeLibrary. Following prefixes are used:        
//   Type Libraries     : LIBID_xxxx                                      
//   CoClasses          : CLASS_xxxx                                      
//   DISPInterfaces     : DIID_xxxx                                       
//   Non-DISP interfaces: IID_xxxx                                        
// *********************************************************************//
const
  // TypeLibrary Major and minor versions
  TTTServerMajorVersion = 1;
  TTTServerMinorVersion = 0;

  LIBID_TTTServer: TGUID = '{BA02A6A0-FD07-11D2-AF31-0000861EF0BB}';

  IID_IGameServer: TGUID = '{BA02A6A1-FD07-11D2-AF31-0000861EF0BB}';
  CLASS_GameServer: TGUID = '{BA02A6A3-FD07-11D2-AF31-0000861EF0BB}';

// *********************************************************************//
// Declaration of Enumerations defined in Type Library                    
// *********************************************************************//
// Constants for enum SkillLevels
type
  SkillLevels = TOleEnum;
const
  slUnconcious = $00000000;
  slAwake = $00000001;

// Constants for enum GameResults
type
  GameResults = TOleEnum;
const
  grInProgress = $00000000;
  grTie = $00000001;
  grPlayerWin = $00000002;
  grComputerWin = $00000003;

type

// *********************************************************************//
// Forward declaration of types defined in TypeLibrary                    
// *********************************************************************//
  IGameServer = interface;
  IGameServerDisp = dispinterface;

// *********************************************************************//
// Declaration of CoClasses defined in Type Library                       
// (NOTE: Here we map each CoClass to its Default Interface)              
// *********************************************************************//
  GameServer = IGameServer;


// *********************************************************************//
// Interface: IGameServer
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {BA02A6A1-FD07-11D2-AF31-0000861EF0BB}
// *********************************************************************//
  IGameServer = interface(IDispatch)
    ['{BA02A6A1-FD07-11D2-AF31-0000861EF0BB}']
    procedure NewGame(out GameID: Integer); safecall;
    procedure PlayerMove(GameID: Integer; X: Integer; Y: Integer; out GameRez: GameResults); safecall;
    procedure ComputerMove(GameID: Integer; SkillLevel: SkillLevels; out X: Integer; 
                           out Y: Integer; out GameRez: GameResults); safecall;
  end;

// *********************************************************************//
// DispIntf:  IGameServerDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {BA02A6A1-FD07-11D2-AF31-0000861EF0BB}
// *********************************************************************//
  IGameServerDisp = dispinterface
    ['{BA02A6A1-FD07-11D2-AF31-0000861EF0BB}']
    procedure NewGame(out GameID: Integer); dispid 1;
    procedure PlayerMove(GameID: Integer; X: Integer; Y: Integer; out GameRez: GameResults); dispid 2;
    procedure ComputerMove(GameID: Integer; SkillLevel: SkillLevels; out X: Integer; 
                           out Y: Integer; out GameRez: GameResults); dispid 3;
  end;

// *********************************************************************//
// The Class CoGameServer provides a Create and CreateRemote method to          
// create instances of the default interface IGameServer exposed by              
// the CoClass GameServer. The functions are intended to be used by             
// clients wishing to automate the CoClass objects exposed by the         
// server of this typelibrary.                                            
// *********************************************************************//
  CoGameServer = class
    class function Create: IGameServer;
    class function CreateRemote(const MachineName: string): IGameServer;
  end;

implementation

uses ComObj;

class function CoGameServer.Create: IGameServer;
begin
  Result := CreateComObject(CLASS_GameServer) as IGameServer;
end;

class function CoGameServer.CreateRemote(const MachineName: string): IGameServer;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_GameServer) as IGameServer;
end;

end.
