unit UdtmSessions;

interface

uses
  SysUtils, Classes, DB, DBClient;

type
  TdtmSessions = class(TDataModule)
    cdsSessions: TClientDataSet;
    procedure DataModuleCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dtmSessions: TdtmSessions;

implementation

{$R *.dfm}

procedure TdtmSessions.DataModuleCreate(Sender: TObject);
begin
  cdsSessions.FileName := ExtractFilePath(ParamStr(0))+ 'AuthSessions.cds';
  if not FileExists (cdsSessions.FileName) then
    cdsSessions.CreateDataSet
  else
    cdsSessions.Open;
end;

initialization
  dtmSessions := TdtmSessions.Create(nil);
finalization
  dtmSessions.Free;
end.
