unit CliMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, Db, DBTables, StdCtrls, ExtCtrls, Provider,
  DBClient, MConnect;

type
  TForm1 = class(TForm)
    JoinSource: TDataSource;
    JoinCDS: TClientDataSet;
    Panel1: TPanel;
    Panel2: TPanel;
    btnApplyUpdates: TButton;
    DBGrid1: TDBGrid;
    Splitter1: TSplitter;
    btnCancelUpdaets: TButton;
    DCOMConnection1: TDCOMConnection;
    procedure FormCreate(Sender: TObject);
    procedure btnApplyUpdatesClick(Sender: TObject);
    procedure JoinCDSReconcileError(DataSet: TCustomClientDataSet;
      E: EReconcileError; UpdateKind: TUpdateKind;
      var Action: TReconcileAction);
    procedure btnCancelUpdaetsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  RecError; // ClientDataset.OnReconcileError dialog from the Object Repository

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  JoinCDS.Open;
end;

procedure TForm1.btnApplyUpdatesClick(Sender: TObject);
begin
  JoinCDS.ApplyUpdates(0);
end;

procedure TForm1.JoinCDSReconcileError(DataSet: TCustomClientDataSet;
  E: EReconcileError; UpdateKind: TUpdateKind;
  var Action: TReconcileAction);
begin
  Action:=HandleReconcileError(Dataset, UpdateKind, E);
end;

procedure TForm1.btnCancelUpdaetsClick(Sender: TObject);
begin
  JoinCDS.CancelUpdates;
end;

end.

