
unit wmImages;

interface

uses
  Windows, Messages, SysUtils, Classes, HTTPApp, WebModu, HTTPProd,
  MidItems, WebForm, WebComp, WebAdapt, CompProd, PagItems, SiteProd;

type
  TImages = class(TWebPageModule)
    AdapterPageProducer: TAdapterPageProducer;
    ImageAdapter: TAdapter;
    AdapterImageField1: TAdapterImageField;
    AdapterForm1: TAdapterForm;
    AdapterFieldGroup1: TAdapterFieldGroup;
    AdapterImageField2: TAdapterImageField;
    FldAdapterImageField1: TAdapterDisplayField;
    FldAdapterImageField2: TAdapterDisplayField;
    procedure AdapterImageField2GetImage(Sender: TObject; Params: TStrings;
      var MimeType: String; var Image: TStream; var Owned: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  function Images: TImages;

implementation

{$R *.dfm}  {*.html}

uses WebReq, WebCntxt, WebFact, Variants, Dialogs;

function Images: TImages;
begin
  Result := TImages(WebContext.FindModuleClass(TImages));
end;

procedure TImages.AdapterImageField2GetImage(Sender: TObject;
  Params: TStrings; var MimeType: String; var Image: TStream;
  var Owned: Boolean);
begin
  MimeType := 'image\jpg';
  Image := TFileStream.Create('athena.jpg', fmOpenRead);
end;

initialization
  if WebRequestHandler <> nil then
    WebRequestHandler.AddWebModuleFactory(TWebPageModuleFactory.Create(TImages, TWebPageInfo.Create([wpPublished, wpLoginRequired], '.html'), crOnDemand, caCache));

end.
