unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, FMTBcd, DBXpress, DB, SqlExpr, Grids, DBGrids, ADODB, StdCtrls;

type
  TMainForm = class(TForm)
    ADOConnection1: TADOConnection;
    ADODataSet1: TADODataSet;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    btnSetBM: TButton;
    btnGotoBM: TButton;
    btnFreeBM: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnSetBMClick(Sender: TObject);
    procedure btnFreeBMClick(Sender: TObject);
    procedure btnGotoBMClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    bm: TBookmarkStr;
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  ADOConnection1.Connected := True;
  ADODataSet1.Open;
  bm := '';
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  ADODataSet1.Close;
  ADOConnection1.Connected := False;
end;

procedure TMainForm.btnSetBMClick(Sender: TObject);
begin
  bm := ADODataSet1.Bookmark;
end;

procedure TMainForm.btnFreeBMClick(Sender: TObject);
begin
  bm := '';
end;

procedure TMainForm.btnGotoBMClick(Sender: TObject);
begin
  if bm <> '' then
    ADODataSet1.Bookmark := bm;
end;

end.
