unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, DBCtrls, DB, Grids, DBGrids, ADODB;

type
  TMainForm = class(TForm)
    ADOConnection1: TADOConnection;
    adodsCustomer: TADODataSet;
    dtsrcCustomer: TDataSource;
    DBGrid1: TDBGrid;
    adodsCustomerCustNo: TAutoIncField;
    adodsCustomerCompany: TWideStringField;
    adodsCustomerAddress1: TWideStringField;
    adodsCustomerAddress2: TWideStringField;
    adodsCustomerCity: TWideStringField;
    adodsCustomerStateAbbr: TWideStringField;
    adodsCustomerZip: TWideStringField;
    adodsCustomerCountry: TWideStringField;
    adodsCustomerPhone: TWideStringField;
    adodsCustomerFax: TWideStringField;
    adodsCustomerContact: TWideStringField;
    Label1: TLabel;
    dbedtCompany: TDBEdit;
    Label2: TLabel;
    dbedtAddress1: TDBEdit;
    Label3: TLabel;
    dbedtAddress2: TDBEdit;
    Label4: TLabel;
    dbedtCity: TDBEdit;
    Label5: TLabel;
    dbedtState: TDBEdit;
    Label6: TLabel;
    dbedtZip: TDBEdit;
    Label7: TLabel;
    dbedtPhone: TDBEdit;
    Label8: TLabel;
    dbedtFax: TDBEdit;
    Label9: TLabel;
    dbedtContact: TDBEdit;
    btnAdd: TButton;
    btnEdit: TButton;
    btnSave: TButton;
    btnCancel: TButton;
    Label10: TLabel;
    dbedtCountry: TDBEdit;
    btnDelete: TButton;
    procedure btnAddClick(Sender: TObject);
    procedure btnEditClick(Sender: TObject);
    procedure btnSaveClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnDeleteClick(Sender: TObject);
  private
    { Private declarations }
    procedure SetButtons;
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.btnAddClick(Sender: TObject);
begin
  adodsCustomer.Insert;
  SetButtons;
end;

procedure TMainForm.btnEditClick(Sender: TObject);
begin
  adodsCustomer.Edit;
  SetButtons;
end;

procedure TMainForm.btnSaveClick(Sender: TObject);
begin
  adodsCustomer.Post;
  SetButtons;
end;

procedure TMainForm.btnCancelClick(Sender: TObject);
begin
  adodsCustomer.Cancel;
  SetButtons;
end;

procedure TMainForm.SetButtons;
begin
  btnAdd.Enabled  := adodsCustomer.State = dsBrowse;
  btnEdit.Enabled := adodsCustomer.State = dsBrowse;
  btnSave.Enabled := (adodsCustomer.State = dsInsert) or
    (adodsCustomer.State = dsEdit);
  btnCancel.Enabled := (adodsCustomer.State = dsInsert) or
    (adodsCustomer.State = dsEdit);
  btnDelete.Enabled := adodsCustomer.State = dsBrowse;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  adodsCustomer.Open;
  SetButtons;

end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  adodsCustomer.Close;
  ADOConnection1.Connected := False;
end;

procedure TMainForm.btnDeleteClick(Sender: TObject);
begin
  adodsCustomer.Delete;
end;

end.
