unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DBXpress, FMTBcd, StdCtrls, DB, SqlExpr, Provider, DBClient,
  Grids, DBGrids, ExtCtrls;

type
  TMainForm = class(TForm)
    SQLConnection1: TSQLConnection;
    sqldsSchemaInfo: TSQLDataSet;
    Button1: TButton;
    cdsSchemaInfo: TClientDataSet;
    DataSetProvider1: TDataSetProvider;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    RadioGroup1: TRadioGroup;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.Button1Click(Sender: TObject);
begin
  sqldsSchemaInfo.Close;
  cdsSchemaInfo.Close;

  case RadioGroup1.ItemIndex of
  0: sqldsSchemaInfo.SetSchemaInfo(stSysTables, '', '');
  1: sqldsSchemaInfo.SetSchemaInfo(stTables, '', '');
  2: sqldsSchemaInfo.SetSchemaInfo(stProcedures, '', '');
  3: sqldsSchemaInfo.SetSchemaInfo(stColumns, 'COUNTRY', '');
  4: sqldsSchemaInfo.SetSchemaInfo(stProcedureParams, 'ADD_COUNTRY', '');
  5: sqldsSchemaInfo.SetSchemaInfo(stIndexes, 'COUNTRY', '');
  end; // case
  
  sqldsSchemaInfo.Open;
  cdsSchemaInfo.Open;
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  cdsSchemaInfo.Close;
  sqldsSchemaInfo.Close;
end;

end.
