unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids, DBGrids, DB, ADODB, DBClient;

type
  TMainForm = class(TForm)
    ADOConnection1: TADOConnection;
    adodsCustomer: TADODataSet;
    adodsEmployee: TADODataSet;
    dtsrcCustomer: TDataSource;
    dtsrcEmployee: TDataSource;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    Label1: TLabel;
    Label2: TLabel;
    adodsOrders: TADODataSet;
    dtsrcOrders: TDataSource;
    DBGrid3: TDBGrid;
    adodsOrderItemList: TADODataSet;
    dtsrcOrderItemList: TDataSource;
    DBGrid4: TDBGrid;
    Button1: TButton;
    cdsPartList: TClientDataSet;
    cdsPartListPartNo: TStringField;
    cdsPartListDescription: TStringField;
    adoCmdInsertOrderItem: TADOCommand;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses NewOrderFrm;

{$R *.dfm}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  adodsCustomer.Open;
  adodsEmployee.Open;
  cdsPartList.Open;
  adodsOrders.Open;
  adodsOrderItemList.Open;  
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
  if TNewOrderForm.Execute then
  begin
    ADOConnection1.BeginTrans;
    try
      // First Create an Orders Record
      adodsOrders.Insert;
      adodsOrders.FieldByName('CustNo').Value :=
        adodsCustomer.FieldByName('CustNo').Value;
      adodsOrders.FieldByName('EmpNo').Value :=
        adodsEmployee.FieldByName('EmpNo').Value;
      adodsOrders.FieldByName('Date').Value := Date;
      ShowMessage(IntToStr(adodsOrders.FieldByName('OrderNo').AsInteger));
      adodsOrders.Post;

      // Now create the Order Line Items.

      cdsPartList.First;
      while not cdsPartList.Eof do
      begin
        adocmdInsertOrderItem.Parameters.ParamByName('iOrderNo').Value :=
          adodsOrders.FieldByName('OrderNo').Value;
        adocmdInsertOrderItem.Parameters.ParamByName('iPartNo').Value :=
          cdsPartListPartNo.Value;
        adocmdInsertOrderItem.Execute;
        cdsPartList.Next;
      end;
      adodsOrderItemList.Requery([]);
      ADOConnection1.CommitTrans;
      cdsPartList.EmptyDataSet;
    except
      ADOConnection1.RollbackTrans;
      raise;
    end;
  end;
end;

end.
