{==================================================================
  QddgSamples_Reg Unit

  Registration Unit for all non-data-aware DDG-CLX components.

  Copyright  2001 by Ray Konopka
==================================================================}

unit QddgSamples_Reg;

interface

procedure Register;

implementation

uses
  Classes, DesignIntf, DesignEditors, QExtCtrls,
  QddgSpin, QddgDsnSpn, QddgILSpin, 
  QddgRgpEdt;


{========================}
{== Register Procedure ==}
{========================}

procedure Register;
begin
  {== Register Components ==}

  RegisterComponents( 'DDG-CLX',
                      [ TddgSpinner, 
                        TddgDesignSpinner,
                        TddgImgListSpinner ] );

  {== Register Component Editors ==}

  RegisterComponentEditor( TRadioGroup, TddgRadioGroupEditor );
end;

end.
