unit Main;

interface

uses
  ComObj, ActiveX, SecSrv_TLB, StdVcl;

type
  TSecureObj = class(TAutoObject, ISecureObj)
  protected
    function Method1(out Str: WideString): HResult; safecall;
    function Method2(out Str: WideString): HResult; safecall;
    function Method3(out Str: WideString): HResult; safecall;
  end;

implementation

uses Windows, ComServ;

function TSecureObj.Method1(out Str: WideString): HResult;
begin
  Result := S_OK;
  Str := 'Method1';
end;

function TSecureObj.Method2(out Str: WideString): HResult;
begin
  Result := S_OK;
  Str := 'Method2';
end;

function TSecureObj.Method3(out Str: WideString): HResult;
begin
  Result := S_OK;
  Str := 'Method3';
end;

initialization
  TAutoObjectFactory.Create(ComServer, TSecureObj, Class_SecureObj,
    ciMultiInstance, tmApartment);
end.
