unit ClientMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, 
  Corba, adt_c, adt_i, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
  { private declarations }
  protected
    myADT : ADT;
    procedure InitCorba;
  { protected declarations }
  public
  { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.InitCorba;
begin
  CorbaInitialize;
  myADT := TADTHelper.bind;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  initCorba;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  temp : StructType;
begin
  temp := TStructType.Create(50, 500, 'This is the client struct in Test 1');
  myADT.Test1('Hello from the Test1 Client', first, temp);

  with Memo1.Lines do
  begin
    Add('Response from server inout struc var:');
    Add(Format('myStruct.s = %d', [temp.s]));
    Add(Format('myStruct.l = %d', [temp.l]));
    Add(Format('myStruct.i = %s', [temp.i]));
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  I: Integer;
  temp : StructType;
  tempSeq : StructSequence;
  tempArray : StructArray;
begin
   temp := TStructType.Create(0,0,'test');
   SetLength(tempSeq, 2);

   for I := 0 to ArraySize -1 do
     tempArray[I] := TStructType.Create(200 + I, 2000 + I, Format('Stuct %d in Array', [I]) );

   myADT.Test2(temp, tempArray, tempSeq);

   with Memo1.Lines do
   begin
     Add(Format('struct.s = %d', [temp.s]) );
     Add(Format('struct.l = %d', [temp.l]) );
     Add(Format('struct.i = %s', [temp.i]) );
   end;

   for I := 0 to 1 do
   with Memo1.Lines do
   begin
     Add( Format('tempSeq[%d].s = %d', [I, tempSeq[I].s]) );
     Add( Format('tempSeq[%d].l = %d', [I, tempSeq[I].l]) );
     Add( Format('tempSeq[%d].i = %s', [I, tempSeq[I].i]) );
   end;
end;

end.