Unit TempConvImport;

interface

uses Types, XSBuiltIns;
type

  ITempConverter = interface(IInvokable)
    ['{684379FC-7D4B-4037-8784-B58C63A0280D}']
    function FahrenheitToCelsius(const AFValue: Double): Double;  stdcall;
    function CelsiusToFahrenheit(const ACValue: Double): Double;  stdcall;
    function Purpose: WideString;  stdcall;
  end;


implementation

uses InvokeRegistry;

initialization
  InvRegistry.RegisterInterface(TypeInfo(ITempConverter), 'urn:TempConverterIntf-ITempConverter', '');

end.
