{ Invokable interface declaration unit for IAuthenticator }

unit AuthenticatorIntf;

interface

uses
  Types, XSBuiltIns;

type
  IAuthenticator = interface(IInvokable)
    ['{BD4E3554-A4BB-40FA-B5A7-60D2B599F101}']
    function Login (const User, Password : String;
      var SessionHandle: String) : boolean; stdcall;
    function AddSessionData (const SessionHandle : String; const Data : String) : Boolean; stdcall;
    function GetSessionData (const SessionHandle : String) : String; stdcall;
    function IsValidSession (const SessionHandle : String) : boolean; stdcall;
    function Logout (const SessionHandle : String): boolean; stdcall;
  end;

implementation

uses
  InvokeRegistry;

initialization
  InvRegistry.RegisterInterface(TypeInfo(IAuthenticator), '', '');

end.
 