unit DDGSimpleRDM;
      
interface

uses
  Windows, Messages, SysUtils, Classes, ComServ, ComObj, VCLCom, DataBkr,
  DBClient, SimpleServ_TLB, StdVcl, Provider, Db, DBTables;

type
  TDDGSimple = class(TRemoteDataModule, IDDGSimple)
    Database1: TDatabase;
    Session1: TSession;
    qryCustomer: TQuery;
    prvCustomer: TDataSetProvider;
  private
    { Private declarations }
  protected
    class procedure UpdateRegistry(Register: Boolean; const ClassID, ProgID: string); override;
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

class procedure TDDGSimple.UpdateRegistry(Register: Boolean; const ClassID, ProgID: string);
begin
  if Register then
  begin
    inherited UpdateRegistry(Register, ClassID, ProgID);
    EnableSocketTransport(ClassID);
    EnableWebTransport(ClassID);
  end else
  begin
    DisableSocketTransport(ClassID);
    DisableWebTransport(ClassID);
    inherited UpdateRegistry(Register, ClassID, ProgID);
  end;
end;

initialization
  TComponentFactory.Create(ComServer, TDDGSimple,
    Class_DDGSimple, ciMultiInstance, tmApartment);
end.
