object MainForm: TMainForm
  Left = 192
  Top = 107
  Width = 389
  Height = 377
  Caption = 'Nested ClientDataset Example'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  OnCreate = FormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object CustomerGrid: TDBGrid
    Left = 16
    Top = 36
    Width = 349
    Height = 120
    DataSource = CustomerSource
    TabOrder = 0
    TitleFont.Charset = DEFAULT_CHARSET
    TitleFont.Color = clWindowText
    TitleFont.Height = -11
    TitleFont.Name = 'MS Sans Serif'
    TitleFont.Style = []
  end
  object OrderGrid: TDBGrid
    Left = 16
    Top = 168
    Width = 349
    Height = 120
    DataSource = OrderSource
    TabOrder = 1
    TitleFont.Charset = DEFAULT_CHARSET
    TitleFont.Color = clWindowText
    TitleFont.Height = -11
    TitleFont.Name = 'MS Sans Serif'
    TitleFont.Style = []
  end
  object ApplyUpdatesButton: TButton
    Left = 20
    Top = 304
    Width = 75
    Height = 25
    Caption = '&Apply Updates'
    TabOrder = 2
    OnClick = ApplyUpdatesButtonClick
  end
  object CustomerCDS: TClientDataSet
    Aggregates = <>
    Params = <>
    ProviderName = 'prvCustomerOrders'
    OnReconcileError = CustomerCDSReconcileError
    Left = 44
    Top = 16
    object CustomerCDSCUSTNO: TFloatField
      FieldName = 'CUSTNO'
    end
    object CustomerCDSCOMPANY: TStringField
      FieldName = 'COMPANY'
      Size = 30
    end
    object CustomerCDSADDR1: TStringField
      FieldName = 'ADDR1'
      Size = 30
    end
    object CustomerCDSADDR2: TStringField
      FieldName = 'ADDR2'
      Size = 30
    end
    object CustomerCDSCITY: TStringField
      FieldName = 'CITY'
      Size = 15
    end
    object CustomerCDSSTATE: TStringField
      FieldName = 'STATE'
    end
    object CustomerCDSZIP: TStringField
      FieldName = 'ZIP'
      Size = 10
    end
    object CustomerCDSCOUNTRY: TStringField
      FieldName = 'COUNTRY'
    end
    object CustomerCDSPHONE: TStringField
      FieldName = 'PHONE'
      Size = 15
    end
    object CustomerCDSFAX: TStringField
      FieldName = 'FAX'
      Size = 15
    end
    object CustomerCDSTAXRATE: TFloatField
      FieldName = 'TAXRATE'
    end
    object CustomerCDSCONTACT: TStringField
      FieldName = 'CONTACT'
    end
    object CustomerCDSLASTINVOICEDATE: TDateTimeField
      FieldName = 'LASTINVOICEDATE'
    end
    object CustomerCDSOrderQuery: TDataSetField
      FieldName = 'OrderQuery'
    end
  end
  object prvCustomerOrders: TDataSetProvider
    DataSet = CustomerQuery
    Constraints = True
    Left = 72
    Top = 16
  end
  object CustomerSource: TDataSource
    DataSet = CustomerCDS
    Left = 12
    Top = 16
  end
  object OrderCDS: TClientDataSet
    Aggregates = <>
    DataSetField = CustomerCDSOrderQuery
    Params = <>
    OnReconcileError = CustomerCDSReconcileError
    Left = 44
    Top = 48
  end
  object OrderSource: TDataSource
    DataSet = OrderCDS
    Left = 12
    Top = 48
  end
  object CustomerQuerySource: TDataSource
    DataSet = CustomerQuery
    Left = 128
    Top = 16
  end
  object CustomerQuery: TQuery
    DatabaseName = 'DBNestCDS'
    SQL.Strings = (
      'select * from customer')
    Left = 100
    Top = 16
    object CustomerQueryCUSTNO: TFloatField
      FieldName = 'CUSTNO'
      Origin = 'DBNESTCDS.CUSTOMER.CUSTNO'
    end
    object CustomerQueryCOMPANY: TStringField
      FieldName = 'COMPANY'
      Origin = 'DBNESTCDS.CUSTOMER.COMPANY'
      Size = 30
    end
    object CustomerQueryADDR1: TStringField
      FieldName = 'ADDR1'
      Origin = 'DBNESTCDS.CUSTOMER.ADDR1'
      Size = 30
    end
    object CustomerQueryADDR2: TStringField
      FieldName = 'ADDR2'
      Origin = 'DBNESTCDS.CUSTOMER.ADDR2'
      Size = 30
    end
    object CustomerQueryCITY: TStringField
      FieldName = 'CITY'
      Origin = 'DBNESTCDS.CUSTOMER.CITY'
      Size = 15
    end
    object CustomerQuerySTATE: TStringField
      FieldName = 'STATE'
      Origin = 'DBNESTCDS.CUSTOMER.STATE'
    end
    object CustomerQueryZIP: TStringField
      FieldName = 'ZIP'
      Origin = 'DBNESTCDS.CUSTOMER.ZIP'
      Size = 10
    end
    object CustomerQueryCOUNTRY: TStringField
      FieldName = 'COUNTRY'
      Origin = 'DBNESTCDS.CUSTOMER.COUNTRY'
    end
    object CustomerQueryPHONE: TStringField
      FieldName = 'PHONE'
      Origin = 'DBNESTCDS.CUSTOMER.PHONE'
      Size = 15
    end
    object CustomerQueryFAX: TStringField
      FieldName = 'FAX'
      Origin = 'DBNESTCDS.CUSTOMER.FAX'
      Size = 15
    end
    object CustomerQueryTAXRATE: TFloatField
      FieldName = 'TAXRATE'
      Origin = 'DBNESTCDS.CUSTOMER.TAXRATE'
    end
    object CustomerQueryCONTACT: TStringField
      FieldName = 'CONTACT'
      Origin = 'DBNESTCDS.CUSTOMER.CONTACT'
    end
    object CustomerQueryLASTINVOICEDATE: TDateTimeField
      FieldName = 'LASTINVOICEDATE'
      Origin = 'DBNESTCDS.CUSTOMER.LASTINVOICEDATE'
    end
  end
  object OrderQuery: TQuery
    DatabaseName = 'DBNestCDS'
    DataSource = CustomerQuerySource
    SQL.Strings = (
      'select * from orders'
      'where CustNo=:CustNo')
    Left = 100
    Top = 44
    ParamData = <
      item
        DataType = ftFloat
        Name = 'CUSTNO'
        ParamType = ptUnknown
      end>
    object OrderQueryORDERNO: TFloatField
      FieldName = 'ORDERNO'
      Origin = 'DBNESTCDS.ORDERS.ORDERNO'
    end
    object OrderQueryCUSTNO: TFloatField
      FieldName = 'CUSTNO'
      Origin = 'DBNESTCDS.ORDERS.CUSTNO'
    end
    object OrderQuerySALEDATE: TDateTimeField
      FieldName = 'SALEDATE'
      Origin = 'DBNESTCDS.ORDERS.SALEDATE'
    end
    object OrderQuerySHIPDATE: TDateTimeField
      FieldName = 'SHIPDATE'
      Origin = 'DBNESTCDS.ORDERS.SHIPDATE'
    end
    object OrderQueryEMPNO: TIntegerField
      FieldName = 'EMPNO'
      Origin = 'DBNESTCDS.ORDERS.EMPNO'
    end
    object OrderQuerySHIPTOCONTACT: TStringField
      FieldName = 'SHIPTOCONTACT'
      Origin = 'DBNESTCDS.ORDERS.SHIPTOCONTACT'
    end
    object OrderQuerySHIPTOADDR1: TStringField
      FieldName = 'SHIPTOADDR1'
      Origin = 'DBNESTCDS.ORDERS.SHIPTOADDR1'
      Size = 30
    end
    object OrderQuerySHIPTOADDR2: TStringField
      FieldName = 'SHIPTOADDR2'
      Origin = 'DBNESTCDS.ORDERS.SHIPTOADDR2'
      Size = 30
    end
    object OrderQuerySHIPTOCITY: TStringField
      FieldName = 'SHIPTOCITY'
      Origin = 'DBNESTCDS.ORDERS.SHIPTOCITY'
      Size = 15
    end
    object OrderQuerySHIPTOSTATE: TStringField
      FieldName = 'SHIPTOSTATE'
      Origin = 'DBNESTCDS.ORDERS.SHIPTOSTATE'
    end
    object OrderQuerySHIPTOZIP: TStringField
      FieldName = 'SHIPTOZIP'
      Origin = 'DBNESTCDS.ORDERS.SHIPTOZIP'
      Size = 10
    end
    object OrderQuerySHIPTOCOUNTRY: TStringField
      FieldName = 'SHIPTOCOUNTRY'
      Origin = 'DBNESTCDS.ORDERS.SHIPTOCOUNTRY'
    end
    object OrderQuerySHIPTOPHONE: TStringField
      FieldName = 'SHIPTOPHONE'
      Origin = 'DBNESTCDS.ORDERS.SHIPTOPHONE'
      Size = 15
    end
    object OrderQuerySHIPVIA: TStringField
      FieldName = 'SHIPVIA'
      Origin = 'DBNESTCDS.ORDERS.SHIPVIA'
      Size = 7
    end
    object OrderQueryPO: TStringField
      FieldName = 'PO'
      Origin = 'DBNESTCDS.ORDERS.PO'
      Size = 15
    end
    object OrderQueryTERMS: TStringField
      FieldName = 'TERMS'
      Origin = 'DBNESTCDS.ORDERS.TERMS'
      Size = 6
    end
    object OrderQueryPAYMENTMETHOD: TStringField
      FieldName = 'PAYMENTMETHOD'
      Origin = 'DBNESTCDS.ORDERS.PAYMENTMETHOD'
      Size = 7
    end
    object OrderQueryITEMSTOTAL: TFloatField
      FieldName = 'ITEMSTOTAL'
      Origin = 'DBNESTCDS.ORDERS.ITEMSTOTAL'
    end
    object OrderQueryTAXRATE: TFloatField
      FieldName = 'TAXRATE'
      Origin = 'DBNESTCDS.ORDERS.TAXRATE'
    end
    object OrderQueryFREIGHT: TFloatField
      FieldName = 'FREIGHT'
      Origin = 'DBNESTCDS.ORDERS.FREIGHT'
    end
    object OrderQueryAMOUNTPAID: TFloatField
      FieldName = 'AMOUNTPAID'
      Origin = 'DBNESTCDS.ORDERS.AMOUNTPAID'
    end
  end
  object Database1: TDatabase
    AliasName = 'DDG6IB'
    DatabaseName = 'DBNestCDS'
    LoginPrompt = False
    Params.Strings = (
      'user name=sysdba'
      'password=masterkey')
    SessionName = 'Default'
    Left = 184
    Top = 16
  end
end
