unit Join1RDM;

interface

uses
  Windows, Messages, SysUtils, Classes, ComServ, ComObj, VCLCom, DataBkr,
  DBClient, Join1Serv_TLB, StdVcl, Provider, Db, DBTables;

type
  TJoin1Server = class(TRemoteDataModule, IJoin1Server)
    Database1: TDatabase;
    qryJoin: TQuery;
    qryJoinEMPNO: TFloatField;
    qryJoinLASTNAME: TStringField;
    qryJoinFIRSTNAME: TStringField;
    qryJoinHIREDATE: TDateTimeField;
    qryJoinHOURLYRATE: TFloatField;
    prvJoin: TDataSetProvider;
    qryJoinUSQL: TQuery;
    usqlJoin: TUpdateSQL;
    procedure prvJoinGetTableName(Sender: TObject; DataSet: TDataSet;
      var TableName: String);
  private
    { Private declarations }
  protected
    class procedure UpdateRegistry(Register: Boolean; const ClassID, ProgID: string); override;
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

class procedure TJoin1Server.UpdateRegistry(Register: Boolean; const ClassID, ProgID: string);
begin
  if Register then
  begin
    inherited UpdateRegistry(Register, ClassID, ProgID);
    EnableSocketTransport(ClassID);
    EnableWebTransport(ClassID);
  end else
  begin
    DisableSocketTransport(ClassID);
    DisableWebTransport(ClassID);
    inherited UpdateRegistry(Register, ClassID, ProgID);
  end;
end;

procedure TJoin1Server.prvJoinGetTableName(Sender: TObject;
  DataSet: TDataSet; var TableName: String);
begin
  TableName := 'Emp';
end;

initialization
  TComponentFactory.Create(ComServer, TJoin1Server,
    Class_Join1Server, ciMultiInstance, tmApartment);
end.
