
unit wdmBioLife;

interface

uses
  Windows, Messages, SysUtils, Classes, HTTPApp, WebModu, DBAdapt,
  DBAdaptImg, WebAdapt, WebComp, DB, DBTables;

type
  TBiolifeData = class(TWebDataModule)
    Table1: TTable;
    DataSetAdapter1: TDataSetAdapter;
    ActionDeleteRow: TDataSetAdapterDeleteRowAction;
    ActionFirstRow: TDataSetAdapterFirstRowAction;
    ActionPrevRow: TDataSetAdapterPrevRowAction;
    ActionNextRow: TDataSetAdapterNextRowAction;
    ActionLastRow: TDataSetAdapterLastRowAction;
    ActionEditRow: TDataSetAdapterEditRowAction;
    ActionBrowseRow: TDataSetAdapterBrowseRowAction;
    ActionNewRow: TDataSetAdapterNewRowAction;
    ActionCancel: TDataSetAdapterCancelRowAction;
    ActionApply: TDataSetAdapterApplyRowAction;
    ActionRefreshRow: TDataSetAdapterRefreshRowAction;
    AdaptSpeciesNo: TDataSetAdapterField;
    AdaptCategory: TDataSetAdapterField;
    AdaptCommon_Name: TDataSetAdapterField;
    AdaptSpeciesName: TDataSetAdapterField;
    AdaptLengthcm: TDataSetAdapterField;
    AdaptLength_In: TDataSetAdapterField;
    AdaptNotes: TDataSetAdapterMemoField;
    AdaptGraphic: TDataSetAdapterImageField;
    Table1SpeciesNo: TFloatField;
    Table1Category: TStringField;
    Table1Common_Name: TStringField;
    Table1SpeciesName: TStringField;
    Table1Lengthcm: TFloatField;
    Table1Length_In: TFloatField;
    Table1Notes: TMemoField;
    Table1Graphic: TGraphicField;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  function BiolifeData: TBiolifeData;

implementation

{$R *.dfm} 

uses WebReq, WebCntxt, WebFact, Variants;

function BiolifeData: TBiolifeData;
begin
  Result := TBiolifeData(WebContext.FindModuleClass(TBiolifeData));
end;

initialization
  if WebRequestHandler <> nil then
    WebRequestHandler.AddWebModuleFactory(TWebDataModuleFactory.Create(TBiolifeData, crOnDemand, caCache));

end.
