
unit wmLogin;

interface

uses
  Windows, Messages, SysUtils, Classes, HTTPApp, WebModu, HTTPProd,
  CompProd, PagItems, SiteProd, MidItems, WebForm, WebComp, WebAdapt;

type
  TLogin = class(TWebPageModule)
    AdapterPageProducer: TAdapterPageProducer;
    LoginFormAdapter1: TLoginFormAdapter;
    AdapterForm1: TAdapterForm;
    AdapterErrorList1: TAdapterErrorList;
    AdapterFieldGroup1: TAdapterFieldGroup;
    AdapterDisplayField: TAdapterDisplayField;
    AdapterDisplayField2: TAdapterDisplayField;
    AdapterCommandGroup1: TAdapterCommandGroup;
    procedure LoginFormAdapter1Login(Sender: TObject; UserID: Variant);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  function Login: TLogin;

implementation

{$R *.dfm}  {*.html}

uses WebReq, WebCntxt, WebFact, Variants, wmHome, IniFiles;

function Login: TLogin;
begin
  Result := TLogin(WebContext.FindModuleClass(TLogin));
end;

procedure TLogin.LoginFormAdapter1Login(Sender: TObject; UserID: Variant);
var
  IniFile: TIniFile;
  TempName: string;
begin
  // Grab session data here
  TempName := Home.WebUserList.UserItems.FindUserID(UserId).UserName;  //WebContext.EndUser.DisplayName;
  Home.CurrentUserName := TempName;

  Lock.BeginRead;
  try
    IniFile := TIniFile.Create(IniFileName);
    try
      Session.Values[sFavoriteMovie] := IniFile.ReadString(TempName, sFavoriteMovie, '');
      Session.Values[sPasswordHint] := IniFile.ReadString(TempName, sPasswordHint, '');
      Session.Values[sLikesChocolate] := IniFile.ReadString(TempName, sLikesChocolate, 'false');
    finally
      IniFile.Free;
    end;
  finally
    Lock.EndRead;
  end;
end;
initialization
  if WebRequestHandler <> nil then
    WebRequestHandler.AddWebModuleFactory(TWebPageModuleFactory.Create(TLogin, TWebPageInfo.Create([{wpPublished} {wpLoginRequired}], '.html'), crOnDemand, caCache));

end.
